Page MenuHomePhabricator

Security Issue Access Request for steward election
Closed, ResolvedPublic

Description

To be provided Security access (Phabricator Username):

To ensure removed from Security access (without other authorization):

  • MF-Warburg
  • MBisanz
  • Lofty_abyss

(none of these had Security access)

Reasons For Request: Per {T208079} (Specifically T208079#4927531), Stewards have access to Security to do stuff. New stewards should have access to the stuff just like oldbies, so this task is here for the annual events.

The new stewards have been reminded to enable 2FA on Phab, FYI.

Event Timeline

revi created this task.Feb 28 2019, 6:20 PM
revi moved this task from Incoming to Radar on the User-revi board.
revi added a comment.Feb 28 2019, 6:27 PM

@Rachealnamaara, you don't need to make a comment to subscribe to a task. Just click "Subscribe" in the right bar (on desktop) and in the three --s (I mean, see the difference in F28302870 and F28302876). :D

revi renamed this task from [WIP] Security Issue Access Request for new stewards to Security Issue Access Request for new stewards.Mar 4 2019, 12:47 AM
revi updated the task description. (Show Details)
revi added subscribers: kolbert, Einsbor, Schniggendiller and 2 others.
Bawolff updated the task description. (Show Details)Mar 4 2019, 1:04 AM
chasemp added a subscriber: chasemp.

Thank you @revi, I had been wondering where we could hook into this process to keep the list current. Are there removals also from this election we need to process?

chasemp triaged this task as Normal priority.Mar 4 2019, 2:13 PM
revi added a comment.Mar 5 2019, 8:21 PM

Removals need more time to be decided, it takes bit more time than the addition. I see one being potentially up for removal, but he is not on Security, only in acl*stewards and probably can be handled by ourselves.

chasemp claimed this task.Mar 6 2019, 3:03 PM
revi added a comment.Mar 7 2019, 4:05 AM

Following users have been resigned or did not pass annual confirmation: @MBisanz, @Mentifisto, and @MF-Warburg. I've removed them from acl*stewards but if they are in Security, please process them.

Bawolff added a subscriber: Bawolff.Mar 7 2019, 4:54 AM

Following users have been resigned or did not pass annual confirmation: @MBisanz, @Mentifisto, and @MF-Warburg. I've removed them from acl*stewards but if they are in Security, please process them.

These users are not in Security

Thanks.

chasemp renamed this task from Security Issue Access Request for new stewards to Security Issue Access Request for steward election.Mar 13 2019, 7:20 PM
chasemp updated the task description. (Show Details)
chasemp updated the task description. (Show Details)Mar 13 2019, 7:23 PM

@Schniggendiller I do not see 2fa on your account within Phabricator. If you can follow https://www.mediawiki.org/wiki/Phabricator/Help/Two-factor_Authentication_Resets to add a second factor it will allow me to add you to Security issues.

chasemp updated the task description. (Show Details)Mar 13 2019, 7:26 PM

@chasemp Now enabled, seems to work. Thanxs.

chasemp closed this task as Resolved.Mar 15 2019, 8:46 PM
chasemp updated the task description. (Show Details)

@chasemp Now enabled, seems to work. Thanxs.

Good stuff. Seems all done here, I'll resolve the task.

sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 6:16 PM